%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate version-sync

Name:           rust-version-sync
Version:        0.9.5
Release:    1%{?dist}
Summary:        Simple crate for ensuring that version numbers in README files are updated

License:        MIT
URL:            https://crates.io/crates/version-sync
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Crate for ensuring that version numbers in README files and other files
are kept in sync with the crate version.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+contains_regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+contains_regex-devel %{_description}

This package contains library source intended for building other packages which
use the "contains_regex" feature of the "%{crate}" crate.

%files       -n %{name}+contains_regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+html_root_url_updated-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+html_root_url_updated-devel %{_description}

This package contains library source intended for building other packages which
use the "html_root_url_updated" feature of the "%{crate}" crate.

%files       -n %{name}+html_root_url_updated-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+markdown_deps_updated-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+markdown_deps_updated-devel %{_description}

This package contains library source intended for building other packages which
use the "markdown_deps_updated" feature of the "%{crate}" crate.

%files       -n %{name}+markdown_deps_updated-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+proc-macro2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+proc-macro2-devel %{_description}

This package contains library source intended for building other packages which
use the "proc-macro2" feature of the "%{crate}" crate.

%files       -n %{name}+proc-macro2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pulldown-cmark-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pulldown-cmark-devel %{_description}

This package contains library source intended for building other packages which
use the "pulldown-cmark" feature of the "%{crate}" crate.

%files       -n %{name}+pulldown-cmark-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+semver-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+semver-devel %{_description}

This package contains library source intended for building other packages which
use the "semver" feature of the "%{crate}" crate.

%files       -n %{name}+semver-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+syn-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+syn-devel %{_description}

This package contains library source intended for building other packages which
use the "syn" feature of the "%{crate}" crate.

%files       -n %{name}+syn-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+toml-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+toml-devel %{_description}

This package contains library source intended for building other packages which
use the "toml" feature of the "%{crate}" crate.

%files       -n %{name}+toml-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+url-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+url-devel %{_description}

This package contains library source intended for building other packages which
use the "url" feature of the "%{crate}" crate.

%files       -n %{name}+url-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 21 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.5-1
- initial build
